CramerShoupPublicKeyParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.params

## Class CramerShoupPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.CramerShoupKeyParameters
    - - org.bouncycastle.crypto.params.CramerShoupPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class CramerShoupPublicKeyParameters
      extends CramerShoupKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CramerShoupPublicKeyParameters(CramerShoupParameters params, java.math.BigInteger c, java.math.BigInteger d, java.math.BigInteger h)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.math.BigInteger` | `getC()`
    `java.math.BigInteger` | `getD()`
    `java.math.BigInteger` | `getH()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.CramerShoupKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CramerShoupPublicKeyParameters

          public CramerShoupPublicKeyParameters(CramerShoupParameters params,
                                                java.math.BigInteger c,
                                                java.math.BigInteger d,
                                                java.math.BigInteger h)

  - ### Method Detail

    - #### getC

          public java.math.BigInteger getC()

    - #### getD

          public java.math.BigInteger getD()

    - #### getH

          public java.math.BigInteger getH()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `CramerShoupKeyParameters`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `CramerShoupKeyParameters`